#!/bin/sh

#
board_name=$1
#
project_name=$2
if [ -z "$project_name" ]; then
  project_name="output"
fi


#download buildroot
buildrootname=buildroot-2019.05.1 
buildroot_file=${buildrootname}.tar.gz
if [ ! -f "$buildroot_file" ]; then
    wget https://buildroot.org/downloads/${buildroot_file}
fi

#extract buildroot
tar -xvf ./${buildroot_file}

#extract inmys ext
if [ ! -d "./buildroot-external-inmys" ]; then
   tar -xvf ./buildroot-external-inmys.tar.gz 
fi
#
if [ ! -d "./dl" ]; then
  mkdir ./dl
fi
ln -s ../dl ./${buildrootname}/dl


if [ -z "$board_name" ] 
then
 echo "No board name"
 exit 1
else

 echo "Create board $board_name for $project_name"

 make BR2_EXTERNAL=$PWD/buildroot-external-inmys/ -C ${buildrootname}/ \
  O=$PWD/${board_name}_${project_name} ${board_name}_defconfig

 cd $PWD/${board_name}_${project_name}
 echo "!!! Now we can use buildroot in $PWD/${board_name}_${project_name} like usually (make menuconfig; make;...) !!!" 
fi
